com.smartgwt.client.util.workflow

## Class NavigateSplitPaneTask

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.ProcessElement
    - - com.smartgwt.client.util.workflow.ComponentTask
      - - com.smartgwt.client.util.workflow.NavigateSplitPaneTask

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class NavigateSplitPaneTask
      extends ComponentTask

  Causes the list pane component to load data and update its title based on the current selection in the source pane. Also shows the pane if it's not already visible.
  See Also:
    `SplitPane.navigatePane()`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NavigateSplitPaneTask()`
    `NavigateSplitPaneTask(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `static NavigateSplitPaneTask` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getShowRecursively()` Set to `false` to not show a component's parents.
    `CurrentPane` | `getTargetPane()` Pane target to be navigated from the current pane.
    `java.lang.String` | `getTitle()` Title to show instead of the automatically chosen one.
    `NavigateSplitPaneTask` | `setShowRecursively(java.lang.Boolean showRecursively)` Set to `false` to not show a component's parents.
    `NavigateSplitPaneTask` | `setTargetPane(CurrentPane targetPane)` Pane target to be navigated from the current pane.
    `NavigateSplitPaneTask` | `setTitle(java.lang.String title)` Title to show instead of the automatically chosen one.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

      `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

    - ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

      `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NavigateSplitPaneTask

          public NavigateSplitPaneTask()

    - #### NavigateSplitPaneTask

          public NavigateSplitPaneTask(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static NavigateSplitPaneTask getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `ComponentTask`

    - #### setShowRecursively

          public NavigateSplitPaneTask setShowRecursively(java.lang.Boolean showRecursively)
                                                   throws java.lang.IllegalStateException

      Set to `false` to not show a component's parents.
      Parameters:
        `showRecursively` - New showRecursively value. Default value is null
      Returns:
        `NavigateSplitPaneTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getShowRecursively

          public java.lang.Boolean getShowRecursively()

      Set to `false` to not show a component's parents.
      Returns:
        Current showRecursively value. Default value is null

    - #### setTargetPane

          public NavigateSplitPaneTask setTargetPane(CurrentPane targetPane)
                                              throws java.lang.IllegalStateException

      Pane target to be navigated from the current pane.
      Parameters:
        `targetPane` - New targetPane value. Default value is null
      Returns:
        `NavigateSplitPaneTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getTargetPane

          public CurrentPane getTargetPane()

      Pane target to be navigated from the current pane.
      Returns:
        Current targetPane value. Default value is null

    - #### setTitle

          public NavigateSplitPaneTask setTitle(java.lang.String title)
                                         throws java.lang.IllegalStateException

      Title to show instead of the automatically chosen one.
      Parameters:
        `title` - New title value. Default value is null
      Returns:
        `NavigateSplitPaneTask` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getTitle

          public java.lang.String getTitle()

      Title to show instead of the automatically chosen one.
      Returns:
        Current title value. Default value is null